{% extends 'base.html.twig' %}
{% block header_title %}Gestion des proclamateurs{% endblock %}
{% block header_subtitle %}Ajout d'un nouveau proclamateur{% endblock %}

{% block body %}
    <div class="col-xxl-10 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Nouveau proclamateur</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner border-top">
                <form action="{{ path('app_publisher_create') }}" method="post" id="createPublisherForm">
                    <div class="row gy-4">
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.firstName) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.firstName) }}
                                    {{ form_errors(form.firstName) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.lastName) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.lastName) }}
                                    {{ form_errors(form.lastName) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.serviceGroup) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.serviceGroup) }}
                                    {{ form_errors(form.serviceGroup) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.gender) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.gender) }}
                                    {{ form_errors(form.gender) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                {{ form_label(form.isElder) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.isElder) }}
                                    {{ form_errors(form.isElder) }}
                                </div>
                            </div>
                            <div class="form-group">
                                {{ form_label(form.isServant) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.isServant) }}
                                    {{ form_errors(form.isServant) }}
                                </div>
                            </div>
                            <div class="form-group">
                                {{ form_label(form.isRegularPioneer) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.isRegularPioneer) }}
                                    {{ form_errors(form.isRegularPioneer) }}
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="mt-4">
                        <button class="btn btn-success" type="submit"><em class="icon ni ni-save-fill me-1"></em> Enregistrer</button>
                        <button class="btn btn-primary" type="submit" id="createNext">
                            <em class="icon ni ni-save-fill me-1"></em>
                            <em class="icon ni ni-user-add me-1"></em>Enregistrer et ajouter un autre
                        </button>
                    </div>
                    {{ form_widget(form._token) }}
                </form>
            </div>

        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}
{% block javascripts %}
    <script>
        const $buttonCreateNext = document.getElementById("createNext");
        const $form = document.getElementById("createPublisherForm");
        $buttonCreateNext.addEventListener('click', function () {
            $form.action = $form.action + '?createNext=true';
        })
    </script>
{% endblock %}
